{% extends "admin/layout.html.twig" %}

{% block content %}
<!-- /.box -->
<div class="box">
	<div class="box-header">
		<h3 class="box-title">Companies</h3>
		<div class="box-tools">
			<form method="post" action="{{ path_for("admin/createCompany") }}">
			<div class="input-group margin">
				<div class="input-group-btn">
					<button type="submit" class="btn btn-default">
						<i class="fa fa-plus"></i> Create
					</button>
				</div>
				<!-- /btn-group -->
				<input name="name" type="text" class="form-control">
			</div>
			</form>
		</div>
	</div>
	<!-- /.box-header -->
	<div class="box-body">
	<hr>
		<table class="table table-bordered table-striped" data-table="true">
			<thead>
				<tr>
					<th>Name</th>
					<th>Label</th>
					<th>Email</th>
					<th>Phone</th>
				</tr>
			</thead>
			<tbody>
				{% for company in companies %}
				<tr>
					<td><a href="{{ path_for("company/admin", {'company':company.getName()}) }}">{{ company.getName()|e }}</a></td>
					<td>{{ company.getProperty('label')|e }}</td>
					<td>{{ company.getProperty('email')|e }}</td>
					<td>{{ company.getProperty('phone')|e }}</td>
				</tr>
				{% endfor %}
			</tbody>
		</table>
	</div>
	<!-- /.box-body -->
</div>
<!-- /.box -->
{% endblock content %}